I have a Samsung Fascinate that will not activate with the Data Synchronizer. The error received on the phone is:

"Set up could not finish, unable to open connection to server due to security error"

No other models (Incredible, Droid X, MyTouch, iPhone, etc) are not having this issue when activating.

We're on Build 104, the Fascinate is on V 2.1, could that be the issue? Froyo won't be released for this phone for another month or so supposedly.